import request from '@/utils/request'

// 查询马拉松赛事包订单详情列表
export function listLzydMarathonOrderDetail(query) {
  return request({
    url: '/system/LzydMarathonOrderDetail/list',
    method: 'get',
    params: query
  })
}

// 查询马拉松赛事包订单详情详细
export function getLzydMarathonOrderDetail(id) {
  return request({
    url: '/system/LzydMarathonOrderDetail/' + id,
    method: 'get'
  })
}

// 新增马拉松赛事包订单详情
export function addLzydMarathonOrderDetail(data) {
  return request({
    url: '/system/LzydMarathonOrderDetail',
    method: 'post',
    data: data
  })
}

// 修改马拉松赛事包订单详情
export function updateLzydMarathonOrderDetail(data) {
  return request({
    url: '/system/LzydMarathonOrderDetail',
    method: 'put',
    data: data
  })
}

// 删除马拉松赛事包订单详情
export function delLzydMarathonOrderDetail(id) {
  return request({
    url: '/system/LzydMarathonOrderDetail/' + id,
    method: 'delete'
  })
}

// 导出马拉松赛事包订单详情
export function exportLzydMarathonOrderDetail(query) {
  return request({
    url: '/system/LzydMarathonOrderDetail/export',
    method: 'get',
    params: query
  })
}